/******************************************************************************/
/*                                                                            */
/*                                                           FILE: Reload.cpp */
/*                                                                            */
/*        Forces a reload of the configuration                                */
/*        ====================================                                */
/*                                                                            */
/*        V0.01   26-APR-2017  Te                                             */
/*        V0.02   07-JUL-2017  Te   Added GPL license                         */
/*                                                                            */
/******************************************************************************/

/*
 *  Requests a reload of the configuration for the processes of Swissphone TPS 
 *  Copyright (C) 2017 P. Tellenbach
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>

#include "ipcmessage.h"

static IPCMESSAGE message ;

/**********************************/
 int main( int argc, char *argv[] )
/**********************************/

{
   if( argc == 2 )
   {
      int queue = msgget( 3063, 0666 | IPC_CREAT ) ;

      if( queue == -1 )
      {
         fprintf( stderr, "error: can't create queue\n" ) ;
         return 1 ;
      }

      message.type    = atoi( argv[1] ) ;
      message.command = CMD_RELOAD ;

      msgsnd( queue, &message, sizeof(message) - sizeof(long), 0 ) ; 
   }

   return 0 ;
}
