/******************************************************************************/
/*                                                                            */
/*                                                      FILE: configuration.h */
/*                                                                            */
/*     Definitions for the configuration                                      */
/*     =================================                                      */
/*                                                                            */
/*     V0.01  20-APR-2017    Te                                               */
/*     V0.02  18-MAY-2017    Te   Added the PAGER structure                   */
/*                                                                            */
/******************************************************************************/

#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#define CONFIG_FILE "/home/pi/swissphone.cnf"

#define S_NONE          0
#define S_SERVER        1
#define S_INPUT         2

#define TEXT_LENGTH   256
#define TIME_LENGTH     5
#define IP_LENGTH      25
#define AUTH_LENGTH    25
#define LEGI_LENGTH     5
#define NUMBER_LENGTH  10
#define PAGER_COUNT     5
#define INPUT_COUNT     8

typedef struct
{
  char number[NUMBER_LENGTH] ;
  char legi[LEGI_LENGTH]     ;
} PAGER ;

typedef struct
{
   char  on[TEXT_LENGTH]    ;
   char  off[TEXT_LENGTH]   ;
   char  from[TIME_LENGTH]  ;
   char  to[TIME_LENGTH]    ;
   PAGER pager[PAGER_COUNT] ;
   int   debounce           ;
} INPUT ;

typedef struct
{
   char ip[IP_LENGTH]         ;
   char user[AUTH_LENGTH]     ;
   char password[AUTH_LENGTH] ;
   int  limit                 ;
} SERVER ;

/****************************************************************/
 inline void GetString( const char *line, char *str, int length )
/****************************************************************/

{
   for( int i = 0; (i < length - 1) && (*line != '\n') && (*line != '\0'); i++ )
      *str++ = *line++ ;

   *str = '\0' ;
}

#endif
