/******************************************************************************/
/*                                                                            */
/*                                                         FILE: ipcmessage.h */
/*                                                                            */
/*     Definitions for the configuration                                      */
/*     =================================                                      */
/*                                                                            */
/*     V0.01  20-APR-2017    Te                                               */
/*     V0.02  18-MAY-2017    Te   Added the PAGER structure                   */
/*                                                                            */
/******************************************************************************/

/*
 *  A class which implements the TAP protocol for Swissphone TPS 
 *  Copyright (C) 2017 P. Tellenbach
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef IPCMESSAGE_H
#define IPCMESSAGE_H

#include "configuration.h"

#define CMD_PAGE   0
#define CMD_RELOAD 1
#define CMD_EXIT   2

typedef struct
{
   long  type               ;
   int   command            ;
   char  text[TEXT_LENGTH]  ;
   PAGER pager[PAGER_COUNT] ;
} IPCMESSAGE ;

#endif
